precision highp float;
uniform vec4 lineColor;
uniform vec4 altColor;
uniform float alpha;

uniform int numberOfStates;
uniform int initialState;

uniform float time1;
uniform float time2;
varying float fTime;

void main()
{
     if (numberOfStates == 3) {
          if (initialState == 1) {
               if (fTime < time1 || fTime > time2) {
                    gl_FragColor = vec4(lineColor[0], lineColor[1], lineColor[2], alpha * lineColor[3]);
               } else {
                    gl_FragColor = vec4(altColor[0], altColor[1], altColor[2], alpha * altColor[3]);
               }
          } else {
               if (fTime < time1 || fTime > time2) {
                    gl_FragColor = vec4(altColor[0], altColor[1], altColor[2], alpha * altColor[3]);
               } else {
                    gl_FragColor = vec4(lineColor[0], lineColor[1], lineColor[2], alpha * lineColor[3]);
               }
          }
     } else if (numberOfStates == 2) {
          if (initialState == 1) {
               if (fTime < time1) {
                    gl_FragColor = vec4(lineColor[0], lineColor[1], lineColor[2], alpha * lineColor[3]);
               } else {
                    gl_FragColor = vec4(altColor[0], altColor[1], altColor[2], alpha * altColor[3]);
               }
          } else {
               if (fTime < time1) {
                    gl_FragColor = vec4(altColor[0], altColor[1], altColor[2], alpha * altColor[3]);
               } else {
                    gl_FragColor = vec4(lineColor[0], lineColor[1], lineColor[2], alpha * lineColor[3]);
               }
          }
     } else {
          if (initialState == 1) {
               gl_FragColor = vec4(lineColor[0], lineColor[1], lineColor[2], alpha * lineColor[3]);
          } else {
               gl_FragColor = vec4(altColor[0], altColor[1], altColor[2], alpha * altColor[3]);
          }
     }
}