uniform mat4 uMVPMatrix;
attribute vec4 vPosition;
attribute vec2 data;
uniform vec2 phi;
uniform float offset;
uniform float xOffset;
uniform float spectrumRow;
vec4 offsetPosition;
varying vec2 colorTexCoords;

attribute float mask;
varying float vMask;

void main() {
  offsetPosition[0] = vPosition[0] + xOffset;
  offsetPosition[1] = vPosition[1];
  offsetPosition[2] = vPosition[2];
  offsetPosition[3] = vPosition[3];
  gl_Position = uMVPMatrix * offsetPosition;
  colorTexCoords = vec2(phi[0] * data[0] + phi[1] * data[1] + offset, spectrumRow);
  vMask = mask;
}