uniform mat4 uMVPMatrix;
uniform vec2 vOffset;
attribute vec4 vPosition0;
attribute vec4 vPosition1;
uniform vec2 phi;
vec4 vPosition;

attribute float data;
varying float vData;

void main() {
    vPosition[0] = phi[0] * vPosition0[0] + phi[1] * vPosition1[0] + vOffset[0];
    vPosition[1] = phi[0] * vPosition0[1] + phi[1] * vPosition1[1] + vOffset[1];
    vPosition[2] = phi[0] * vPosition0[2] + phi[1] * vPosition1[2];
    vPosition[3] = phi[0] * vPosition0[3] + phi[1] * vPosition1[3];
    gl_Position = uMVPMatrix * vPosition;
    vData = data;
}