uniform mat4 uMVPMatrix;
attribute vec2 vPosition;
attribute float vTimes;

uniform vec4 vOffset;
uniform vec2 location;
uniform float xOffset;
uniform float radius;

vec4 offsetPosition;

varying float fTime;

void main() {
    offsetPosition[0] = location[0] + radius * vPosition[0] + xOffset;
    offsetPosition[1] = location[1] + radius * vPosition[1];
    offsetPosition[2] = 0.0;
    offsetPosition[3] = 1.0;
	gl_PointSize = 10.;
    gl_Position = uMVPMatrix * offsetPosition + vOffset;

    fTime = vTimes;
}