precision mediump float;
uniform vec4 lineColor;
uniform vec4 pointColor;
uniform float alpha;
varying float sDrawLines;
varying float phi;
varying float delta;
void main()
{
      if (sDrawLines > 0.0) {
            gl_FragColor = vec4(lineColor[0], lineColor[1], lineColor[2], alpha * lineColor[3]);

      } else if (delta >= 0.0 && phi > 0.0 && phi < 1.0) {
            gl_FragColor = vec4(pointColor[0], pointColor[1], pointColor[2], alpha * pointColor[3]);

      } else {
            gl_FragColor = vec4(pointColor[0], pointColor[1], pointColor[2], 0);
      }

}