precision mediump float;
varying vec2 colorTexCoords;
uniform sampler2D colorTex;
uniform float alpha;
vec4 col;
varying float vMask;
void main() {
  if (vMask > 0.) {
//    gl_FragColor = vec4(0., 0., 0., 0.);
// From https://www.executionunit.com/blog/2010/04/12/implementing-glalphafunc-in-opengl-es20/
// Does not write to the fragment, hence the stencil is not updated based on the depth buffer.
    discard;

  } else {
    col = texture2D(colorTex, colorTexCoords);
    gl_FragColor = vec4(col[0], col[1], col[2], alpha * col[3]);
  }
}