precision mediump float;
varying vec2 mapTexCoords;
uniform sampler2D coverageTex;
uniform sampler2D mapTex1;
uniform sampler2D mapTex2;
uniform sampler2D scaleTex;
uniform float spectrumRow0;
uniform float spectrumRow1;
uniform float alpha;
uniform vec2 phi;
float val;
float val255;
float coverage;
float val0;
float val1;
vec4 col;
vec2 scaleTexCoords;
void main() {

//    coverage = texture2D(coverageTex, mapTexCoords)[3];
//
//    if (coverage <= 0.0) {
//        col = vec4(0.1, 0.1, 0.1, 0.2);
//
//    } else {

        bool isSnow0 = false;
        bool isSnow1 = false;
        val0 = 255.0 * texture2D(mapTex1, mapTexCoords)[3];
        val1 = 255.0 * texture2D(mapTex2, mapTexCoords)[3];

        if (val0 > 127.0) {
            val0 = 2.0 * (val0 - 127.0);
            isSnow0 = true;
        } else {
            val0 = 2.0 * val0;
        }

        if (val1 > 127.0) {
            val1 = 2.0 * (val1 - 127.0);
            isSnow1 = true;
        } else {
            val1 = 2.0 * val1;
        }

        val255 = phi[0] * val0 + phi[1] * val1;
        //val = (val255 - 31.0) / 95.0;  // full range
//        val = (val255 - 31.0) / 80.0;
        val = (val255 - 62.0) / 160.0;
//        val = 0.5 * val255 / 255.0;

        if (!isSnow0 && !isSnow1) {
            scaleTexCoords = vec2(val, spectrumRow0);
        } else if (isSnow0 && isSnow1) {
            scaleTexCoords = vec2(val, spectrumRow1);
        } else if (isSnow0 && phi[0] > phi[1]) {
            scaleTexCoords = vec2(val, spectrumRow1);
        } else if (isSnow1 && phi[1] > phi[0]) {
            scaleTexCoords = vec2(val, spectrumRow1);
        } else {
            scaleTexCoords = vec2(val, spectrumRow0);
        }

        col = texture2D(scaleTex, scaleTexCoords);
//    }

    gl_FragColor = vec4(col[0], col[1], col[2], alpha * col[3]);

}