precision mediump float;
varying vec2 colorTexCoords;
uniform sampler2D colorTex;
uniform float alpha;
uniform float streamTime;
vec4 col;
float x = 1.0;
float y = 1.0;
float dr = 0.3;
float curv = 0.;
float a;
float dt;
//varying float vTime;
varying float freq;

vec2 xySample;
float waveNum;

void main() {
    dt = (colorTexCoords[1] + streamTime);
    xySample[0] = colorTexCoords[0];
    xySample[1] = mod(dt, 1.0);
//    xySample[1] = 5. * 6.28 * colorTexCoords[1] + streamTime + vTime - curv;

    if (colorTexCoords[0] < dr) {
        x = colorTexCoords[0] / dr;
    } else if (colorTexCoords[0] > (1. - dr)) {
        x = (1. - colorTexCoords[0]) / dr;
    }
    if (colorTexCoords[1] < dr) {
        y = colorTexCoords[1] / dr;
    } else if (colorTexCoords[1] > (1. - dr)) {
        y = (1. - colorTexCoords[1]) / dr;
    }
  col = texture2D(colorTex, xySample);

//    gl_FragColor = vec4(1.0, 0.0, 1.0, x * y * alpha * col[3]);
    gl_FragColor = vec4(col[0], col[1], col[2], x * y * alpha * col[3]);
//  if (col[0] > 0f) {
//    gl_FragColor = vec4(0.0, 0.0, 0.0, x * y * alpha * col[3]);
//  } else if (col[2] > 0f) {}
//    gl_FragColor = vec4(1.0, 1.0, 1.0, x * y * alpha * col[3]);
//  }

//    curv = 10. * pow(abs(colorTexCoords[0] - 0.5), 2.);
//    dt = 5. * 6.28 * colorTexCoords[1] + streamTime + vTime - curv;
//    waveNum = mod(2. * 0.318309886 * dt, 2.);
//    if (waveNum < 1.) {
//        a = 0.5 * (1. + cos(dt));
//    } else {
//        a = 0.;
//    }
////    a = pow(0.5 * (1. + cos(dt)), 12.);
////    a = 0.5 * (1. + cos(dt));
//
//    gl_FragColor = vec4(1., 1., 1., x * y * alpha * a);
}